Request to hold the package at a UPS facility for pickup
Request your package to be held at or returned to a UPS facility where the receiver may claim the same-day.
Authentication
AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"
Path parameters
tracking_number
The number being tracked. Each method defines if required.
version
version
Allowed values:
Headers
transId
A unique value that will be used to identify the transaction for logging and troubleshooting purposes
platformType
Identifies the client/source application that is calling.
Allowed values:
inquiryType
describes the content type to expect
Allowed values:
Query parameters
loc
The locale of the client application to ensure that translations on the response are in the proper language.
Request
This endpoint expects an object.
requesterContactInfo
specialInstructions
Special Instructions sent to the driver. Available only to AA intercept type
requestType
The request type of the intercept being performed
reasonForReturn
Reason for return code. Required only for RS intercept type.
deliveryDate
Original scheduled date of delivery. Required olny for FD intercept type.
newDeliveryAddress
New delivery address. Required olny for AA intercept type.
Response headers
BkndTransId
The backend transaction id.
transId
An identifier unique to the request.
transactionSrc
Identifies the client/source application that is calling.
Content-Type
The Content-Type header provides the client with the actual content/media type of the returned content.
Response
Successful response
transactionId
A unique value that will be used to identify the transaction for logging and troubleshooting purposes.
statusCode
API response status code, Internal code regarding the success or failure of the operation
success
Indicates if the transaction is considered successful.
statusMsg
API response status message, Internal message regarding the success or failure of the operation
subStatusCode
A new status code for adding granularity to the existing status code structure
errors
Unbounded array of error objects
warnings
A map containing warning codes and descriptions as key/value pairs.
Errors
400
Bad Request Error
401
Unauthorized Error